# UserAgent class

A data class describing the user agent. See https://xmpp.org/extensions/xep-0388.html#initiation.

## Constructors

UserAgent ({String? id, String? software, String? device})
  const

## Properties

device → String?
  The name of the device.
  final
hashCode → int
  The hash code for this object.
  no setterinherited
id → String?
  The identifier of the software/device combo connecting. SHOULD be a UUIDv4.
  final
runtimeType → Type
  A representation of the runtime type of the object.
  no setterinherited
software → String?
  The software's name that's connecting at the moment.
  final

## Methods

noSuchMethod (Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString () → String
  A string representation of this object.
  inherited
toXml () → XMLNode

## Operators

operator == (Object other) → bool
  The equality operator.
  inherited